[svn-upgrade] new version bti (028)
[debian/bti.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 bin_PROGRAMS = bti$(EXEEXT)
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
39         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40         $(top_srcdir)/configure COPYING ChangeLog depcomp install-sh \
41         missing
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45         $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47  configure.lineno config.status.lineno
48 mkinstalldirs = $(install_sh) -d
49 CONFIG_CLEAN_FILES =
50 CONFIG_CLEAN_VPATH_FILES =
51 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
52         "$(DESTDIR)$(man1dir)"
53 PROGRAMS = $(bin_PROGRAMS)
54 am_bti_OBJECTS = bti-bti.$(OBJEXT)
55 bti_OBJECTS = $(am_bti_OBJECTS)
56 am__DEPENDENCIES_1 =
57 bti_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
58         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
59 bti_LINK = $(CCLD) $(bti_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o \
60         $@
61 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
62 am__vpath_adj = case $$p in \
63     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
64     *) f=$$p;; \
65   esac;
66 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
67 am__install_max = 40
68 am__nobase_strip_setup = \
69   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
70 am__nobase_strip = \
71   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
72 am__nobase_list = $(am__nobase_strip_setup); \
73   for p in $$list; do echo "$$p $$p"; done | \
74   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
75   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
76     if (++n[$$2] == $(am__install_max)) \
77       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
78     END { for (dir in files) print dir, files[dir] }'
79 am__base_list = \
80   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
81   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
82 SCRIPTS = $(bin_SCRIPTS)
83 DEFAULT_INCLUDES = -I.@am__isrc@
84 depcomp = $(SHELL) $(top_srcdir)/depcomp
85 am__depfiles_maybe = depfiles
86 am__mv = mv -f
87 AM_V_lt = $(am__v_lt_$(V))
88 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
89 am__v_lt_0 = --silent
90 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
91         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
92 AM_V_CC = $(am__v_CC_$(V))
93 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
94 am__v_CC_0 = @echo "  CC    " $@;
95 AM_V_at = $(am__v_at_$(V))
96 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
97 am__v_at_0 = @
98 CCLD = $(CC)
99 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
100 AM_V_CCLD = $(am__v_CCLD_$(V))
101 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
102 am__v_CCLD_0 = @echo "  CCLD  " $@;
103 AM_V_GEN = $(am__v_GEN_$(V))
104 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
105 am__v_GEN_0 = @echo "  GEN   " $@;
106 SOURCES = $(bti_SOURCES)
107 DIST_SOURCES = $(bti_SOURCES)
108 man1dir = $(mandir)/man1
109 NROFF = nroff
110 MANS = $(dist_man_MANS)
111 ETAGS = etags
112 CTAGS = ctags
113 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
114 distdir = $(PACKAGE)-$(VERSION)
115 top_distdir = $(distdir)
116 am__remove_distdir = \
117   { test ! -d "$(distdir)" \
118     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
119          && rm -fr "$(distdir)"; }; }
120 DIST_ARCHIVES = $(distdir).tar.gz
121 GZIP_ENV = --best
122 distuninstallcheck_listfiles = find . -type f -print
123 distcleancheck_listfiles = find . -type f -print
124 ACLOCAL = @ACLOCAL@
125 AMTAR = @AMTAR@
126 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
127 AUTOCONF = @AUTOCONF@
128 AUTOHEADER = @AUTOHEADER@
129 AUTOMAKE = @AUTOMAKE@
130 AWK = @AWK@
131 CC = @CC@
132 CCDEPMODE = @CCDEPMODE@
133 CFLAGS = @CFLAGS@
134 CPPFLAGS = @CPPFLAGS@
135 CYGPATH_W = @CYGPATH_W@
136 DEFS = @DEFS@
137 DEPDIR = @DEPDIR@
138 ECHO_C = @ECHO_C@
139 ECHO_N = @ECHO_N@
140 ECHO_T = @ECHO_T@
141 EXEEXT = @EXEEXT@
142 INSTALL = @INSTALL@
143 INSTALL_DATA = @INSTALL_DATA@
144 INSTALL_PROGRAM = @INSTALL_PROGRAM@
145 INSTALL_SCRIPT = @INSTALL_SCRIPT@
146 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
147 LDFLAGS = @LDFLAGS@
148 LIBCURL_CFLAGS = @LIBCURL_CFLAGS@
149 LIBCURL_LIBS = @LIBCURL_LIBS@
150 LIBOAUTH_CFLAGS = @LIBOAUTH_CFLAGS@
151 LIBOAUTH_LIBS = @LIBOAUTH_LIBS@
152 LIBOBJS = @LIBOBJS@
153 LIBPCRE_CFLAGS = @LIBPCRE_CFLAGS@
154 LIBPCRE_LIBS = @LIBPCRE_LIBS@
155 LIBS = @LIBS@
156 LTLIBOBJS = @LTLIBOBJS@
157 MAKEINFO = @MAKEINFO@
158 MKDIR_P = @MKDIR_P@
159 OBJEXT = @OBJEXT@
160 PACKAGE = @PACKAGE@
161 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
162 PACKAGE_NAME = @PACKAGE_NAME@
163 PACKAGE_STRING = @PACKAGE_STRING@
164 PACKAGE_TARNAME = @PACKAGE_TARNAME@
165 PACKAGE_URL = @PACKAGE_URL@
166 PACKAGE_VERSION = @PACKAGE_VERSION@
167 PATH_SEPARATOR = @PATH_SEPARATOR@
168 PKG_CONFIG = @PKG_CONFIG@
169 SET_MAKE = @SET_MAKE@
170 SHELL = @SHELL@
171 STRIP = @STRIP@
172 VERSION = @VERSION@
173 XML_CFLAGS = @XML_CFLAGS@
174 XML_LIBS = @XML_LIBS@
175 XSLTPROC = @XSLTPROC@
176 abs_builddir = @abs_builddir@
177 abs_srcdir = @abs_srcdir@
178 abs_top_builddir = @abs_top_builddir@
179 abs_top_srcdir = @abs_top_srcdir@
180 ac_ct_CC = @ac_ct_CC@
181 am__include = @am__include@
182 am__leading_dot = @am__leading_dot@
183 am__quote = @am__quote@
184 am__tar = @am__tar@
185 am__untar = @am__untar@
186 bindir = @bindir@
187 build_alias = @build_alias@
188 builddir = @builddir@
189 datadir = @datadir@
190 datarootdir = @datarootdir@
191 docdir = @docdir@
192 dvidir = @dvidir@
193 exec_prefix = @exec_prefix@
194 host_alias = @host_alias@
195 htmldir = @htmldir@
196 includedir = @includedir@
197 infodir = @infodir@
198 install_sh = @install_sh@
199 libdir = @libdir@
200 libexecdir = @libexecdir@
201 localedir = @localedir@
202 localstatedir = @localstatedir@
203 mandir = @mandir@
204 mkdir_p = @mkdir_p@
205 oldincludedir = @oldincludedir@
206 pdfdir = @pdfdir@
207 prefix = @prefix@
208 program_transform_name = @program_transform_name@
209 psdir = @psdir@
210 sbindir = @sbindir@
211 sharedstatedir = @sharedstatedir@
212 srcdir = @srcdir@
213 sysconfdir = @sysconfdir@
214 target_alias = @target_alias@
215 top_build_prefix = @top_build_prefix@
216 top_builddir = @top_builddir@
217 top_srcdir = @top_srcdir@
218 bin_SCRIPTS = \
219         bti-shrink-urls
220
221 bti_SOURCES = \
222         bti.c
223
224 bti_CFLAGS = \
225         $(LIBCURL_CFLAGS) \
226         $(XML_CFLAGS) \
227         $(LIBPCRE_CFLAGS) \
228         $(LIBOAUTH_CFLAGS)
229
230 bti_LDADD = \
231         $(LIBCURL_LIBS) \
232         $(XML_LIBS) \
233         $(LIBPCRE_LIBS) \
234         $(LIBOAUTH_LIBS)
235
236 dist_man_MANS = \
237         bti.1 \
238         bti-shrink-urls.1
239
240 EXTRA_DIST = \
241         bti.xml \
242         bti-shrink-urls.xml \
243         bti.example \
244         bti-bashcompletion \
245         RELEASE-NOTES \
246         bti-shrink-urls
247
248 MAINTAINERCLEANFILES = \
249         $(dist_man_MANS)
250
251 PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
252 AUTOMAKE_OPTIONS = foreign
253 all: all-am
254
255 .SUFFIXES:
256 .SUFFIXES: .c .o .obj
257 am--refresh:
258         @:
259 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
260         @for dep in $?; do \
261           case '$(am__configure_deps)' in \
262             *$$dep*) \
263               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
264               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
265                 && exit 0; \
266               exit 1;; \
267           esac; \
268         done; \
269         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
270         $(am__cd) $(top_srcdir) && \
271           $(AUTOMAKE) --foreign Makefile
272 .PRECIOUS: Makefile
273 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
274         @case '$?' in \
275           *config.status*) \
276             echo ' $(SHELL) ./config.status'; \
277             $(SHELL) ./config.status;; \
278           *) \
279             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
280             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
281         esac;
282
283 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
284         $(SHELL) ./config.status --recheck
285
286 $(top_srcdir)/configure:  $(am__configure_deps)
287         $(am__cd) $(srcdir) && $(AUTOCONF)
288 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
289         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
290 $(am__aclocal_m4_deps):
291 install-binPROGRAMS: $(bin_PROGRAMS)
292         @$(NORMAL_INSTALL)
293         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
294         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
295         for p in $$list; do echo "$$p $$p"; done | \
296         sed 's/$(EXEEXT)$$//' | \
297         while read p p1; do if test -f $$p; \
298           then echo "$$p"; echo "$$p"; else :; fi; \
299         done | \
300         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
301             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
302         sed 'N;N;N;s,\n, ,g' | \
303         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
304           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
305             if ($$2 == $$4) files[d] = files[d] " " $$1; \
306             else { print "f", $$3 "/" $$4, $$1; } } \
307           END { for (d in files) print "f", d, files[d] }' | \
308         while read type dir files; do \
309             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
310             test -z "$$files" || { \
311               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
312               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
313             } \
314         ; done
315
316 uninstall-binPROGRAMS:
317         @$(NORMAL_UNINSTALL)
318         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
319         files=`for p in $$list; do echo "$$p"; done | \
320           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
321               -e 's/$$/$(EXEEXT)/' `; \
322         test -n "$$list" || exit 0; \
323         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
324         cd "$(DESTDIR)$(bindir)" && rm -f $$files
325
326 clean-binPROGRAMS:
327         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
328 bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES) 
329         @rm -f bti$(EXEEXT)
330         $(AM_V_CCLD)$(bti_LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
331 install-binSCRIPTS: $(bin_SCRIPTS)
332         @$(NORMAL_INSTALL)
333         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
334         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
335         for p in $$list; do \
336           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
337           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
338         done | \
339         sed -e 'p;s,.*/,,;n' \
340             -e 'h;s|.*|.|' \
341             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
342         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
343           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
344             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
345               if (++n[d] == $(am__install_max)) { \
346                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
347             else { print "f", d "/" $$4, $$1 } } \
348           END { for (d in files) print "f", d, files[d] }' | \
349         while read type dir files; do \
350              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
351              test -z "$$files" || { \
352                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
353                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
354              } \
355         ; done
356
357 uninstall-binSCRIPTS:
358         @$(NORMAL_UNINSTALL)
359         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
360         files=`for p in $$list; do echo "$$p"; done | \
361                sed -e 's,.*/,,;$(transform)'`; \
362         test -n "$$list" || exit 0; \
363         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
364         cd "$(DESTDIR)$(bindir)" && rm -f $$files
365
366 mostlyclean-compile:
367         -rm -f *.$(OBJEXT)
368
369 distclean-compile:
370         -rm -f *.tab.c
371
372 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti-bti.Po@am__quote@
373
374 .c.o:
375 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
376 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
377 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
378 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
379 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
380 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
381
382 .c.obj:
383 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
384 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
385 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
386 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
387 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
388 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
389
390 bti-bti.o: bti.c
391 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-bti.o -MD -MP -MF $(DEPDIR)/bti-bti.Tpo -c -o bti-bti.o `test -f 'bti.c' || echo '$(srcdir)/'`bti.c
392 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/bti-bti.Tpo $(DEPDIR)/bti-bti.Po
393 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
394 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bti.c' object='bti-bti.o' libtool=no @AMDEPBACKSLASH@
395 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
396 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-bti.o `test -f 'bti.c' || echo '$(srcdir)/'`bti.c
397
398 bti-bti.obj: bti.c
399 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -MT bti-bti.obj -MD -MP -MF $(DEPDIR)/bti-bti.Tpo -c -o bti-bti.obj `if test -f 'bti.c'; then $(CYGPATH_W) 'bti.c'; else $(CYGPATH_W) '$(srcdir)/bti.c'; fi`
400 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/bti-bti.Tpo $(DEPDIR)/bti-bti.Po
401 @am__fastdepCC_FALSE@   $(AM_V_CC) @AM_BACKSLASH@
402 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='bti.c' object='bti-bti.obj' libtool=no @AMDEPBACKSLASH@
403 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
404 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(bti_CFLAGS) $(CFLAGS) -c -o bti-bti.obj `if test -f 'bti.c'; then $(CYGPATH_W) 'bti.c'; else $(CYGPATH_W) '$(srcdir)/bti.c'; fi`
405 install-man1: $(dist_man_MANS)
406         @$(NORMAL_INSTALL)
407         test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
408         @list=''; test -n "$(man1dir)" || exit 0; \
409         { for i in $$list; do echo "$$i"; done; \
410         l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
411           sed -n '/\.1[a-z]*$$/p'; \
412         } | while read p; do \
413           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
414           echo "$$d$$p"; echo "$$p"; \
415         done | \
416         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
417               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
418         sed 'N;N;s,\n, ,g' | { \
419         list=; while read file base inst; do \
420           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
421             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
422             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
423           fi; \
424         done; \
425         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
426         while read files; do \
427           test -z "$$files" || { \
428             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
429             $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
430         done; }
431
432 uninstall-man1:
433         @$(NORMAL_UNINSTALL)
434         @list=''; test -n "$(man1dir)" || exit 0; \
435         files=`{ for i in $$list; do echo "$$i"; done; \
436         l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
437           sed -n '/\.1[a-z]*$$/p'; \
438         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
439               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
440         test -z "$$files" || { \
441           echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
442           cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
443
444 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
445         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
446         unique=`for i in $$list; do \
447             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
448           done | \
449           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
450               END { if (nonempty) { for (i in files) print i; }; }'`; \
451         mkid -fID $$unique
452 tags: TAGS
453
454 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
455                 $(TAGS_FILES) $(LISP)
456         set x; \
457         here=`pwd`; \
458         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
459         unique=`for i in $$list; do \
460             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
461           done | \
462           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
463               END { if (nonempty) { for (i in files) print i; }; }'`; \
464         shift; \
465         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
466           test -n "$$unique" || unique=$$empty_fix; \
467           if test $$# -gt 0; then \
468             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
469               "$$@" $$unique; \
470           else \
471             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
472               $$unique; \
473           fi; \
474         fi
475 ctags: CTAGS
476 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
477                 $(TAGS_FILES) $(LISP)
478         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
479         unique=`for i in $$list; do \
480             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
481           done | \
482           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
483               END { if (nonempty) { for (i in files) print i; }; }'`; \
484         test -z "$(CTAGS_ARGS)$$unique" \
485           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
486              $$unique
487
488 GTAGS:
489         here=`$(am__cd) $(top_builddir) && pwd` \
490           && $(am__cd) $(top_srcdir) \
491           && gtags -i $(GTAGS_ARGS) "$$here"
492
493 distclean-tags:
494         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
495
496 distdir: $(DISTFILES)
497         @list='$(MANS)'; if test -n "$$list"; then \
498           list=`for p in $$list; do \
499             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
500             if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
501           if test -n "$$list" && \
502             grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
503             echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
504             grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
505             echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
506             echo "       typically \`make maintainer-clean' will remove them" >&2; \
507             exit 1; \
508           else :; fi; \
509         else :; fi
510         $(am__remove_distdir)
511         test -d "$(distdir)" || mkdir "$(distdir)"
512         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
513         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
514         list='$(DISTFILES)'; \
515           dist_files=`for file in $$list; do echo $$file; done | \
516           sed -e "s|^$$srcdirstrip/||;t" \
517               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
518         case $$dist_files in \
519           */*) $(MKDIR_P) `echo "$$dist_files" | \
520                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
521                            sort -u` ;; \
522         esac; \
523         for file in $$dist_files; do \
524           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
525           if test -d $$d/$$file; then \
526             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
527             if test -d "$(distdir)/$$file"; then \
528               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
529             fi; \
530             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
531               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
532               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
533             fi; \
534             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
535           else \
536             test -f "$(distdir)/$$file" \
537             || cp -p $$d/$$file "$(distdir)/$$file" \
538             || exit 1; \
539           fi; \
540         done
541         -test -n "$(am__skip_mode_fix)" \
542         || find "$(distdir)" -type d ! -perm -755 \
543                 -exec chmod u+rwx,go+rx {} \; -o \
544           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
545           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
546           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
547         || chmod -R a+r "$(distdir)"
548 dist-gzip: distdir
549         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
550         $(am__remove_distdir)
551
552 dist-bzip2: distdir
553         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
554         $(am__remove_distdir)
555
556 dist-lzma: distdir
557         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
558         $(am__remove_distdir)
559
560 dist-xz: distdir
561         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
562         $(am__remove_distdir)
563
564 dist-tarZ: distdir
565         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
566         $(am__remove_distdir)
567
568 dist-shar: distdir
569         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
570         $(am__remove_distdir)
571
572 dist-zip: distdir
573         -rm -f $(distdir).zip
574         zip -rq $(distdir).zip $(distdir)
575         $(am__remove_distdir)
576
577 dist dist-all: distdir
578         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
579         $(am__remove_distdir)
580
581 # This target untars the dist file and tries a VPATH configuration.  Then
582 # it guarantees that the distribution is self-contained by making another
583 # tarfile.
584 distcheck: dist
585         case '$(DIST_ARCHIVES)' in \
586         *.tar.gz*) \
587           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
588         *.tar.bz2*) \
589           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
590         *.tar.lzma*) \
591           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
592         *.tar.xz*) \
593           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
594         *.tar.Z*) \
595           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
596         *.shar.gz*) \
597           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
598         *.zip*) \
599           unzip $(distdir).zip ;;\
600         esac
601         chmod -R a-w $(distdir); chmod a+w $(distdir)
602         mkdir $(distdir)/_build
603         mkdir $(distdir)/_inst
604         chmod a-w $(distdir)
605         test -d $(distdir)/_build || exit 0; \
606         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
607           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
608           && am__cwd=`pwd` \
609           && $(am__cd) $(distdir)/_build \
610           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
611             $(DISTCHECK_CONFIGURE_FLAGS) \
612           && $(MAKE) $(AM_MAKEFLAGS) \
613           && $(MAKE) $(AM_MAKEFLAGS) dvi \
614           && $(MAKE) $(AM_MAKEFLAGS) check \
615           && $(MAKE) $(AM_MAKEFLAGS) install \
616           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
617           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
618           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
619                 distuninstallcheck \
620           && chmod -R a-w "$$dc_install_base" \
621           && ({ \
622                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
623                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
624                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
625                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
626                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
627               } || { rm -rf "$$dc_destdir"; exit 1; }) \
628           && rm -rf "$$dc_destdir" \
629           && $(MAKE) $(AM_MAKEFLAGS) dist \
630           && rm -rf $(DIST_ARCHIVES) \
631           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
632           && cd "$$am__cwd" \
633           || exit 1
634         $(am__remove_distdir)
635         @(echo "$(distdir) archives ready for distribution: "; \
636           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
637           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
638 distuninstallcheck:
639         @$(am__cd) '$(distuninstallcheck_dir)' \
640         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
641            || { echo "ERROR: files left after uninstall:" ; \
642                 if test -n "$(DESTDIR)"; then \
643                   echo "  (check DESTDIR support)"; \
644                 fi ; \
645                 $(distuninstallcheck_listfiles) ; \
646                 exit 1; } >&2
647 distcleancheck: distclean
648         @if test '$(srcdir)' = . ; then \
649           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
650           exit 1 ; \
651         fi
652         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
653           || { echo "ERROR: files left in build directory after distclean:" ; \
654                $(distcleancheck_listfiles) ; \
655                exit 1; } >&2
656 check-am: all-am
657 check: check-am
658 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
659 installdirs:
660         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
661           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
662         done
663 install: install-am
664 install-exec: install-exec-am
665 install-data: install-data-am
666 uninstall: uninstall-am
667
668 install-am: all-am
669         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
670
671 installcheck: installcheck-am
672 install-strip:
673         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
674           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
675           `test -z '$(STRIP)' || \
676             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
677 mostlyclean-generic:
678
679 clean-generic:
680
681 distclean-generic:
682         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
683         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
684
685 maintainer-clean-generic:
686         @echo "This command is intended for maintainers to use"
687         @echo "it deletes files that may require special tools to rebuild."
688         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
689 clean: clean-am
690
691 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
692
693 distclean: distclean-am
694         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
695         -rm -rf ./$(DEPDIR)
696         -rm -f Makefile
697 distclean-am: clean-am distclean-compile distclean-generic \
698         distclean-local distclean-tags
699
700 dvi: dvi-am
701
702 dvi-am:
703
704 html: html-am
705
706 html-am:
707
708 info: info-am
709
710 info-am:
711
712 install-data-am: install-man
713
714 install-dvi: install-dvi-am
715
716 install-dvi-am:
717
718 install-exec-am: install-binPROGRAMS install-binSCRIPTS
719
720 install-html: install-html-am
721
722 install-html-am:
723
724 install-info: install-info-am
725
726 install-info-am:
727
728 install-man: install-man1
729
730 install-pdf: install-pdf-am
731
732 install-pdf-am:
733
734 install-ps: install-ps-am
735
736 install-ps-am:
737
738 installcheck-am:
739
740 maintainer-clean: maintainer-clean-am
741         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
742         -rm -rf $(top_srcdir)/autom4te.cache
743         -rm -rf ./$(DEPDIR)
744         -rm -f Makefile
745 maintainer-clean-am: distclean-am maintainer-clean-generic
746
747 mostlyclean: mostlyclean-am
748
749 mostlyclean-am: mostlyclean-compile mostlyclean-generic
750
751 pdf: pdf-am
752
753 pdf-am:
754
755 ps: ps-am
756
757 ps-am:
758
759 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
760
761 uninstall-man: uninstall-man1
762
763 .MAKE: install-am install-strip
764
765 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
766         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
767         dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
768         distcheck distclean distclean-compile distclean-generic \
769         distclean-local distclean-tags distcleancheck distdir \
770         distuninstallcheck dvi dvi-am html html-am info info-am \
771         install install-am install-binPROGRAMS install-binSCRIPTS \
772         install-data install-data-am install-dvi install-dvi-am \
773         install-exec install-exec-am install-html install-html-am \
774         install-info install-info-am install-man install-man1 \
775         install-pdf install-pdf-am install-ps install-ps-am \
776         install-strip installcheck installcheck-am installdirs \
777         maintainer-clean maintainer-clean-generic mostlyclean \
778         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
779         tags uninstall uninstall-am uninstall-binPROGRAMS \
780         uninstall-binSCRIPTS uninstall-man uninstall-man1
781
782
783 %.1: %.xml
784         $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
785
786 git-clean:
787         rm -f Makefile.in
788
789 distclean-local:
790         rm -rf autom4te.cache
791
792 changelog:
793         @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
794         @ mv ChangeLog ChangeLog.tmp
795         @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
796         @ echo "============================================" >> ChangeLog
797         @ echo >> ChangeLog
798         @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog  >> ChangeLog
799         @ echo >> ChangeLog
800         @ cat ChangeLog
801         @ cat ChangeLog.tmp >> ChangeLog
802         @ rm ChangeLog.tmp
803
804 git-release:
805         head -1 ChangeLog | grep -q "to v$(VERSION)"
806         head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
807         git commit -a -m "release $(VERSION)"
808         cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
809         git gc
810         git prune
811
812 # Tell versions [3.59,3.63) of GNU make to not export all variables.
813 # Otherwise a system limit (for SysV at least) may be exceeded.
814 .NOEXPORT: